package com.unipi.talepis;

import java.sql.*;
import java.util.Scanner;

public class DerbyDemo {

    public static void main(String[] args) {
        //createTableAndData();
        //selectAll();
        //loginV1();
        loginV2();
    }
    private static void createTableAndData(){
        try {
            Connection connection = connect();
            String createTableSQL = "CREATE TABLE PATIENT" +
                    "(ID INTEGER NOT NULL PRIMARY KEY," +
                    "PATIENT_NAME VARCHAR(20)," +
                    "PASSWORD VARCHAR(20))";
            Statement statement = connection.createStatement();
            statement.execute(createTableSQL);
            String insertSQL = "INSERT INTO PATIENT VALUES(2,'EIRINI','12345')";
            statement.executeUpdate(insertSQL);
            System.out.println("Done!");
            statement.close();
            connection.close();
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
    private static void loginV1(){
        try {
            Scanner scanner = new Scanner(System.in);
            System.out.println("Please give patient name:");
            String patientName = scanner.nextLine();
            System.out.println("Please give password:");
            String password = scanner.nextLine();
            Connection connection = connect();
            String selectSQL = "SELECT ID FROM PATIENT " +
                    "WHERE PATIENT_NAME='"+patientName+"' AND PASSWORD='"+password+"'";
            Statement statement = connection.createStatement();
            ResultSet resultSet = statement.executeQuery(selectSQL);
            if (resultSet.next()){
                System.out.println("Login success!");
            }else {
                System.out.println("Wrong patient Name and/or password");
            }
            System.out.println("Done!");
            statement.close();
            connection.close();
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
    private static void loginV2(){
        try {
            Scanner scanner = new Scanner(System.in);
            System.out.println("Please give patient name:");
            String patientName = scanner.nextLine();
            System.out.println("Please give password:");
            String password = scanner.nextLine();
            Connection connection = connect();
            String selectSQL = "SELECT ID FROM PATIENT " +
                    "WHERE PATIENT_NAME=? AND PASSWORD=?";
            PreparedStatement preparedStatement = connection.prepareStatement(selectSQL);
            preparedStatement.setString(1,patientName);
            preparedStatement.setString(2,password);
            ResultSet resultSet = preparedStatement.executeQuery();
            if (resultSet.next()){
                System.out.println("Login success!");
            }else {
                System.out.println("Wrong patient Name and/or password");
            }
            System.out.println("Done!");
            preparedStatement.close();
            connection.close();
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
    private static void selectAll(){
        try {
            Connection connection = connect();
            String selectSQL = "SELECT * FROM PATIENT";
            Statement statement = connection.createStatement();
            ResultSet resultSet = statement.executeQuery(selectSQL);
            while (resultSet.next()){
                System.out.println(resultSet.getString("PATIENT_NAME")+","+
                        resultSet.getString("PASSWORD"));
            }
            System.out.println("Done!");
            statement.close();
            connection.close();
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
    private static Connection connect(){
        String connectionString = "jdbc:derby:iatriki2;create=true";
        Connection connection = null;
        try {
            connection = DriverManager.getConnection(connectionString);
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return connection;
    }
}
